//  Lino
//  Copyright (C) 2005 Pierre-Yves Bonnefoy <pyb@natsimhan.com>
//  Copyright (C) 2005-2006 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "VueConstruction.h"

VueConstruction::VueConstruction(Uint16 provenance)
{
    // on initialise le fond d'cran
    _FondEcran = new FondEcran(FD_ECR_VIERGE|FD_ECR_LINEO_SMALL);
    // on initialise le menu
    _Menu = new Menu("~~~~", true, provenance);
    _Menu->addItem("~~~~  "+Langue::getInstance()->get("En cours")+"  ~~~~",0);
    _Menu->addItem("~~~~  "+Langue::getInstance()->get("de developpement")+"  ~~~~",0);
    _Menu->draw();
}

VueConstruction::~VueConstruction()
{
    // on libre les pointeurs des classes
	delete(_FondEcran);
    delete(_Menu);
}
// gre les vnements de la vue
void VueConstruction::processEvents(SDL_Event *event)
{
     _Menu->processEvents(event);
}
