//  Lino
//  Copyright (C) 2005 Pierre-Yves Bonnefoy <pyb@natsimhan.com>
//  Copyright (C) 2005-2006 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA


#ifndef __VUESOUSOPTION_H__
#define __VUESOUSOPTION_H__

#include <SDL.h>
#include <SDL_thread.h>
#include <stdio.h>

#include "Menu.h"
#include "Config.h"
#include "Langue.h"
#include "FondEcran.h"
#include "Musique.h"

using namespace std;

class VueSousOption
{
	private:
        Menu* 		_Menu;
        FondEcran* 	_FondEcran;

        Uint16 _EtatEvent;
        Uint16 _Parametre;

        Uint8 _NoItemMusiqueOn;
        Uint8 _NoItemMusiqueOff;

        Uint8 _NoItemEcranPlein;
        Uint8 _NoItemEcranFenetre;

        Uint8 _NoItemJoueurG;
        Uint8 _NoItemJoueurD;

        string _NomJoueurG;
        string _NomJoueurD;

        Uint8 _NoItemDessusOn;
        Uint8 _NoItemDessusOff;

  //*******************
  //* fonctions membres
	public:
		VueSousOption(Uint16 Parametre);
		~VueSousOption();
		void processEvents(SDL_Event *event);
};

#endif // __VUESOUSOPTION_H__
