//  Lino
//  Copyright (C) 2006 Jonathan Buron <nathan@natsimhan.com>
//  Copyright (C) 2005 Pierre-Yves Bonnefoy <pyb@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#ifndef TIMER_H
#define TIMER_H

#include <SDL.h>
#include <SDL_thread.h>
#include <ctime>

#include "Defines.h"
#include "Events.h"


// No description
class Timer
{
	private:
        Uint32      _Delay; // la valeur du delay en ms entre deux timer...
        SDL_Thread *_Thread; // pointeur vers le thread cr
        bool        _StopThread;

    public:
		Timer();
		~Timer();

        // Le thread
		int TimerThread(void *Param);

		static int staticTimerThread( void *Param ){
            Timer* Obj = reinterpret_cast<Timer*>( Param );
            return Obj->TimerThread(Param);
        }
};

#endif // TIMER_H
